<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <div id="salida">

    </div>
    <div>
        <form>
            <div>
                <label for="texto">Texto</label>
                <input type="text" id="texto">
            </div>
            <div>
                <button data-tipo="h1" type="button" id="boton1">Crear h1</button>
                <button data-tipo="h2" type="button" id="boton2">Crear h2</button>
                <button data-tipo="h3" type="button" id="boton3">Crear h3</button>
            </div>
        </form>

    </div>
</body>
<script src="2.js"></script>

</html>